//@import "../../../../../styles/color";
//@import "../../../../../app/core/global-style/variable";
@import "libs/shared/assets/src/global-style/color";
@import "libs/shared/assets/src/global-style/variable";

.main-target-category {
  display: flex;
  justify-content: space-between;
  padding: 24px 18px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
  &__right {
    display: flex;
  }
}
.main-target-category-card {
  margin: 12px 0px 12px 0px;
  border-radius: 8px;
}

.custom-style-table {
  padding: 16px 24px;
}

::ng-deep {
  .ant-page-header-heading-left {
    padding: 24px;
  }

  .ant-pagination {
    float: right;
    margin-top: 16px;
  }
  .ant-pagination-item-link {
    border-radius: 8px;
    display: flex !important;
    align-items: center;
    justify-content: center;
  }
  .ant-pagination-item-link-icon {
    margin-right: 14px;
  }

  .ant-pagination-item {
    border-radius: 8px;
  }
  .ant-pagination-item-active {
    border-color: $primary-button-color;
    border-radius: 8px;
    a {
      color: $primary-button-color;
    }
  }
  .ant-pagination-next {
    margin-right: 18px;
  }

  .ant-table-thead > tr > th {
    background: $color-th;
    font-weight: bold;
    font-size: 14px;
    line-height: 120%;
  }
  .ant-table-container,
  .ant-table-container table > thead > tr:first-child th:first-child {
    border-top-left-radius: 8px;
  }
  .ant-table-container,
  .ant-table-container table > thead > tr:first-child th:last-child {
    border-top-right-radius: 8px;
  }
  .ant-table {
    border-radius: 8px;
    .ant-table-tbody > tr.ant-table-row:hover > td {
      background: $hover-table-row;
    }
    tr:hover {
      cursor: pointer;
    }
  }
  .ant-tag-blue {
    background: $background-active-status-green;
    color: $active-status-green;
    border-radius: 3px;
  }
  .ant-tag-red {
    background: $background-active-status-red;
    color: $active-status-red;
    border-radius: 3px;
  }
  .ant-modal-header {
    border-bottom: inherit;
  }
  .ant-modal-footer {
    border-top: inherit;
  }
  .ant-form-item-label > label.ant-form-item-required:not(.ant-form-item-required-mark-optional):before {
    order: 1;
  }

  .ant-select-selector {
    border-radius: 4px !important;
    min-height: 40px;
    display: flex;
    align-items: center;
  }
  .ant-select {
    width: 100%;
    margin-top: 4px;
  }
  .ant-form-item-label > label {
    font-size: 15px;
  }
}

// css upload file modal footer
.content {
  position: fixed;
  top: 9.5em;
  z-index: 10;
  right: 2.5em;
}

@media screen and (max-width: 666px) {
  ::ng-deep {
    .ant-page-header-heading-left {
      padding: initial !important;
    }
    .inner-content {
      margin: initial !important;
    }
  }

  .content {
    position: static;
    margin-bottom: 25px !important;
    padding: 10px;
    ::ng-deep {
      .ant-btn.button__class--medium {
        width: 90%;
        padding: 10px !important;
        margin-left: 16px !important;
      }
    }
  }

  .custom-col {
    padding: initial !important;
    ::ng-deep {
      .ant-btn.button__class--medium {
        margin-top: 10px !important;
        width: 90%;
      }
    }
  }
}
@media screen and (max-width: 1024px) {
  .content {
    right: 4%;
  }
}

.flex-footer {
  &__uploadfile {

    padding: 0 0.5em;
    display: flex;
    justify-content: flex-end;

    &--button-left {
      ::ng-deep {
        .button__class--medium {
          margin-left: 1rem !important;
        }
      }
    }
  }
}
